import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  claimId: z.number().int().optional()
}).strict();
export const PaymentWhereUniqueInputObjectSchema: z.ZodType<Prisma.PaymentWhereUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.PaymentWhereUniqueInput>;
export const PaymentWhereUniqueInputObjectZodSchema = makeSchema();
